%define		_class		    Log
%define		upstream_name	%{_class}

Name:		php-pear-%{upstream_name}
Version:	1.12.7
Release:	%mkrel 2
Summary:	Logging Framework
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/%{upstream_name}
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear-MDB2
BuildRequires:	php-pear
BuildArch:	noarch

%description
The Log package provides an abstracted logging framework. It includes output
handlers for log files, databases, syslog, email, Firebug, and the console. It
also provides composite and subject-observer logging mechanisms.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%clean
rm -rf %{buildroot}

#%post
#%if %mdkversion < 201000
#pear install --nodeps --soft --force --register-only \
#    %{_datadir}/pear/packages/%{upstream_name}.xml >/dev/null || :
#%endif

#%preun
#%if %mdkversion < 201000
#if [ "$1" -eq "0" ]; then
#    pear uninstall --nodeps --ignore-errors --register-only \
#        %{pear_name} >/dev/null || :
#fi
#%endif

%files
%defattr(-,root,root)
%doc %{upstream_name}-%{version}/docs/* %{upstream_name}-%{version}/examples
%{_datadir}/pear/%{_class}
%{_datadir}/pear/%{_class}.php
%{_datadir}/pear/data/%{upstream_name}
%{_datadir}/pear/packages/%{upstream_name}.xml





%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.12.7-2.mga3
+ Revision: 376808
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 26 2011 guillomovitch <guillomovitch> 1.12.7-1.mga2
+ Revision: 172414
- update to new version 1.12.7

* Wed Jan 26 2011 spuhler <spuhler> 1.12.5-2.mga1
+ Revision: 39866
- added Requires: php-pear-MDB2

* Mon Jan 17 2011 spuhler <spuhler> 1.12.5-1.mga1
+ Revision: 20905
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Log

